Create User

http
POST https://services.leadconnectorhq.com/users/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
companyIdstringYesve9EPM428h8vShlRW1KT
firstNamestringYesJohn
lastNamestringYesDeo
emailstringYesjohn@deo.com
passwordstringYes*******
phonestringNo+18832327657
typestringYesaccount
rolestringYesadmin
locationIdsstring[]Yes
  • permissions (object)

    • campaignsEnabled (boolean): Example: True

    • campaignsReadOnly (boolean): Example: False

    • contactsEnabled (boolean): Example: True

    • workflowsEnabled (boolean): Example: True

    • workflowsReadOnly (boolean): Example: True

    • triggersEnabled (boolean): Example: True

    • funnelsEnabled (boolean): Example: True

    • websitesEnabled (boolean): Example: False

    • opportunitiesEnabled (boolean): Example: True

    • dashboardStatsEnabled (boolean): Example: True

    • bulkRequestsEnabled (boolean): Example: True

    • appointmentsEnabled (boolean): Example: True

    • reviewsEnabled (boolean): Example: True

    • onlineListingsEnabled (boolean): Example: True

    • phoneCallEnabled (boolean): Example: True

    • conversationsEnabled (boolean): Example: True

    • assignedDataOnly (boolean): Example: False

    • adwordsReportingEnabled (boolean): Example: False

    • membershipEnabled (boolean): Example: False

    • facebookAdsReportingEnabled (boolean): Example: False

    • attributionsReportingEnabled (boolean): Example: False

    • settingsEnabled (boolean): Example: True

    • tagsEnabled (boolean): Example: True

    • leadValueEnabled (boolean): Example: True

    • marketingEnabled (boolean): Example: True

    • agentReportingEnabled (boolean): Example: True

    • botService (boolean): Example: False

    • socialPlanner (boolean): Example: True

    • bloggingEnabled (boolean): Example: True

    • invoiceEnabled (boolean): Example: True

    • affiliateManagerEnabled (boolean): Example: True

    • contentAiEnabled (boolean): Example: True

    • refundsEnabled (boolean): Example: True

    • recordPaymentEnabled (boolean): Example: True

    • cancelSubscriptionEnabled (boolean): Example: True

    • paymentsEnabled (boolean): Example: True

    • communitiesEnabled (boolean): Example: True

    • exportPaymentsEnabled (boolean): Example: True

NameTypeRequiredExampleDescription
scopesstring[]NoScopes allowed for users. Only scopes that have been passed will be enabled. Note:- If passed empty all the scopes will be get disabled
scopesAssignedToOnlystring[]NoAssigned Scopes allowed for users. Only scopes that have been passed will be enabled. If passed empty all the assigned scopes will be get disabled
profilePhotostringNohttps://img.png
twilioPhoneobjectNoPer-account inbound Twilio number in E.164 format, keyed by account id (Call and Voicemail Inbound Number for direct Twilio, not LC Phone). Replacement semantics: if you send twilioPhone in the request body, the stored map is replaced entirely with this object (not merged). Any account id omitted from the object is removed from the saved map. Omit the twilioPhone property entirely to leave existing numbers unchanged. Send an empty object {} to clear all per-account numbers. To clear a single account only, set that account id to an empty string "".
platformLanguagestringNoen_USPlatform language preference for the user Possible values: 'en_US', 'es', 'fr_CA', 'fr_FR', 'nl', 'de', 'pt_PT', 'pt_BR', 'it', 'sv', 'da', 'fi', 'no'

Responses

201 - Successful response
  • id (string): Example: 0IHuJvc2ofPAAA8GzTRi

  • name (string): Example: John Deo

  • firstName (string): Example: John

  • lastName (string): Example: Deo

  • email (string): Example: john@deo.com

  • phone (string): Example: +1 808-868-8888

  • extension (string)

  • permissions (object)

    • campaignsEnabled (boolean): Example: True

    • campaignsReadOnly (boolean): Example: False

    • contactsEnabled (boolean): Example: True

    • workflowsEnabled (boolean): Example: True

    • workflowsReadOnly (boolean): Example: True

    • triggersEnabled (boolean): Example: True

    • funnelsEnabled (boolean): Example: True

    • websitesEnabled (boolean): Example: False

    • opportunitiesEnabled (boolean): Example: True

    • dashboardStatsEnabled (boolean): Example: True

    • bulkRequestsEnabled (boolean): Example: True

    • appointmentsEnabled (boolean): Example: True

    • reviewsEnabled (boolean): Example: True

    • onlineListingsEnabled (boolean): Example: True

    • phoneCallEnabled (boolean): Example: True

    • conversationsEnabled (boolean): Example: True

    • assignedDataOnly (boolean): Example: False

    • adwordsReportingEnabled (boolean): Example: False

    • membershipEnabled (boolean): Example: False

    • facebookAdsReportingEnabled (boolean): Example: False

    • attributionsReportingEnabled (boolean): Example: False

    • settingsEnabled (boolean): Example: True

    • tagsEnabled (boolean): Example: True

    • leadValueEnabled (boolean): Example: True

    • marketingEnabled (boolean): Example: True

    • agentReportingEnabled (boolean): Example: True

    • botService (boolean): Example: False

    • socialPlanner (boolean): Example: True

    • bloggingEnabled (boolean): Example: True

    • invoiceEnabled (boolean): Example: True

    • affiliateManagerEnabled (boolean): Example: True

    • contentAiEnabled (boolean): Example: True

    • refundsEnabled (boolean): Example: True

    • recordPaymentEnabled (boolean): Example: True

    • cancelSubscriptionEnabled (boolean): Example: True

    • paymentsEnabled (boolean): Example: True

    • communitiesEnabled (boolean): Example: True

    • exportPaymentsEnabled (boolean): Example: True

  • scopes (string): Possible values: 'campaigns.readonly', 'campaigns.write', 'calendars.readonly', 'calendars/events.write', 'calendars/groups.write', 'calendars.write', 'contacts.write', 'contacts/bulkActions.write', 'workflows.readonly', 'workflows.write', 'triggers.write', 'funnels.write', 'forms.write', 'surveys.write', 'quizzes.write', 'websites.write', 'medias.write', 'medias.readonly', 'opportunities.write', 'opportunities/leadValue.readonly', 'opportunities/bulkActions.write', 'reporting/phone.readonly', 'reporting/adwords.readonly', 'reporting/facebookAds.readonly', 'reporting/attributions.readonly', 'prospecting/auditReport.write', 'reporting/reports.readonly', 'reporting/agent.readonly', 'reporting/reports.write', 'reporting/stats.export', 'payments.write', 'payments/records.write', 'payments/orders.readonly', 'payments/orders.export', 'payments/orders.import', 'payments/orders.collectPayment', 'payments/subscriptions.readonly', 'payments/subscriptions.write', 'payments/subscriptions.update', 'payments/subscriptions.export', 'payments/subscriptions.pauseResumeCancel', 'payments/subscriptions.sharePaymentMethod', 'payments/transactions.readonly', 'payments/transactions.export', 'payments/transactions.import', 'payments/transactions.refund', 'payments/transactions.viewReceipts', 'payments/taxesSettings.readonly', 'payments/settings.readonly', 'payments/taxesSettings.updateInclusiveExclusive', 'payments/taxesSettings.manageRates', 'payments/taxesSettings.configureAutomatic', 'products.readonly', 'products.write', 'products.delete', 'products.duplicate', 'products.bulkActions', 'payments/settings.write', 'payments/settings.configureReceipt', 'payments/settings.configureSubscription', 'invoices.write', 'invoices.readonly', 'invoices/schedule.readonly', 'invoices/schedule.write', 'invoices/template.readonly', 'invoices/template.write', 'reputation/review.write', 'reputation/listing.write', 'reputation/reviewsAIAgents.write', 'reputation/gbp.write', 'conversations.write', 'conversations.readonly', 'conversations/message.readonly', 'conversations/message.write', 'contentAI.write', 'dashboard/stats.readonly', 'locations/tags.write', 'locations/tags.readonly', 'marketing.write', 'eliza.write', 'settings.write', 'socialplanner/post.write', 'socialplanner/account.readonly', 'socialplanner/account.write', 'socialplanner/category.readonly', 'socialplanner/category.write', 'socialplanner/csv.readonly', 'socialplanner/csv.write', 'socialplanner/group.write', 'socialplanner/hashtag.readonly', 'socialplanner/hashtag.write', 'socialplanner/oauth.readonly', 'socialplanner/oauth.write', 'socialplanner/post.readonly', 'socialplanner/recurring.readonly', 'socialplanner/recurring.write', 'socialplanner/review.readonly', 'socialplanner/review.write', 'socialplanner/rss.readonly', 'socialplanner/rss.write', 'socialplanner/search.readonly', 'socialplanner/setting.readonly', 'socialplanner/setting.write', 'socialplanner/stat.readonly', 'socialplanner/tag.readonly', 'socialplanner/tag.write', 'socialplanner/filters.readonly', 'socialplanner/medias.readonly', 'socialplanner/medias.write', 'socialplanner/watermarks.readonly', 'socialplanner/watermarks.write', 'socialplanner/metatag.readonly', 'socialplanner/facebook.readonly', 'socialplanner/linkedin.readonly', 'socialplanner/twitter.readonly', 'socialplanner/notification.readonly', 'socialplanner/notification.write', 'socialplanner/snapshot.readonly', 'socialplanner/snapshot.write', 'marketing/affiliate.write', 'blogs.write', 'membership.write', 'communities.write', 'gokollab.write', 'certificates.write', 'certificates.readonly', 'adPublishing.write', 'adPublishing.readonly', 'prospecting.write', 'prospecting.readonly', 'prospecting/reports.readonly', 'private-integration-account.readonly', 'private-integration-account.write', 'private-integration-company.readonly', 'private-integration-company.write', 'native-integrations.readonly', 'native-integrations.write', 'wordpress.write', 'wordpress.read', 'custom-menu-link.write', 'qrcodes.write', 'users/team-management.write', 'users/team-management.readonly', 'loginas.write', 'users-sso-login-management.write', 'users-sso-login-management.readonly', 'sso-config.write', 'snapshots/api.readonly', 'snapshots/api.create', 'snapshots/api.edit', 'snapshots/api.push', 'snapshots/api.refresh', 'snapshots/api.share', 'snapshots/api.delete', 'internaltools.account-transfer.write', 'internaltools.account-transfer.readonly', 'affiliateportal.write', 'affiliateportal.readonly', 'companies.write', 'internaltools.billing.write', 'internaltools.billing.readonly', 'internaltools.billing-common.readonly', 'internaltools.billing-common.write', 'voice-ai-agents.write', 'voice-ai-agents.readonly', 'voice-ai-common.readonly', 'voice-ai-common.write', 'voice-ai-agent-goals.readonly', 'voice-ai-agent-goals.write', 'voice-ai-dashboard.readonly', 'agency/launchpad.write', 'agency/launchpad.readonly', 'launchpad/account.write', 'launchpad/account.readonly', 'text-ai-agents.write', 'text-ai-agent-goals.readonly', 'text-ai-agent-goals.write', 'text-ai-agent-training.write', 'text-ai-agents-dashboard.readonly', 'accounts.create', 'accounts.delete', 'accounts.export.list', 'accounts.features-limits.manage', 'accounts.pause-resume', 'accounts.agency-accounts.manage', 'accounts.billing.manage', 'accounts.details.manage', 'audit-logs.readonly', 'audit-logs.export'

  • roles (object)

    • type (string): Example: account

    • role (string): Example: admin

    • locationIds (string[])

    • restrictSubAccount (boolean): Example: True

  • lcPhone (object): LC Phone Inbound Phone Numbers

  • platformLanguage (string): Platform language preference for the user Possible values: 'en_US', 'es', 'fr_CA', 'fr_FR', 'nl', 'de', 'pt_PT', 'pt_BR', 'it', 'sv', 'da', 'fi', 'no' Example: en_US

json
{
  "id": "0IHuJvc2ofPAAA8GzTRi",
  "name": "John Deo",
  "firstName": "John",
  "lastName": "Deo",
  "email": "john@deo.com",
  "phone": "+1 808-868-8888",
  "extension": "",
  "permissions": {
    "campaignsEnabled": true,
    "campaignsReadOnly": false,
    "contactsEnabled": true,
    "workflowsEnabled": true,
    "workflowsReadOnly": true,
    "triggersEnabled": true,
    "funnelsEnabled": true,
    "websitesEnabled": false,
    "opportunitiesEnabled": true,
    "dashboardStatsEnabled": true,
    "bulkRequestsEnabled": true,
    "appointmentsEnabled": true,
    "reviewsEnabled": true,
    "onlineListingsEnabled": true,
    "phoneCallEnabled": true,
    "conversationsEnabled": true,
    "assignedDataOnly": false,
    "adwordsReportingEnabled": false,
    "membershipEnabled": false,
    "facebookAdsReportingEnabled": false,
    "attributionsReportingEnabled": false,
    "settingsEnabled": true,
    "tagsEnabled": true,
    "leadValueEnabled": true,
    "marketingEnabled": true,
    "agentReportingEnabled": true,
    "botService": false,
    "socialPlanner": true,
    "bloggingEnabled": true,
    "invoiceEnabled": true,
  // truncado: 23 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/users/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "companyId": "ve9EPM428h8vShlRW1KT",
  "firstName": "John",
  "lastName": "Deo",
  "email": "john@deo.com",
  "password": "*******",
  "phone": "+18832327657",
  "type": "account",
  "role": "admin",
  "locationIds": [
    "C2QujeCh8ZnC7al2InWR"
  ],
  "permissions": {
    "campaignsEnabled": true,
    "campaignsReadOnly": false,
    "contactsEnabled": true,
    "workflowsEnabled": true,
    "workflowsReadOnly": true,
    "triggersEnabled": true,
    "funnelsEnabled": true,
    "websitesEnabled": false,
    "opportunitiesEnabled": true,
    "dashboardStatsEnabled": true,
    "bulkRequestsEnabled": true,
    "appointmentsEnabled": true,
    "reviewsEnabled": true,
    "onlineListingsEnabled": true,
    "phoneCallEnabled": true,
    "conversationsEnabled": true,
    "assignedDataOnly": false,
    "adwordsReportingEnabled": false,
    "membershipEnabled": false,
    "facebookAdsReportingEnabled": false,
    "attributionsReportingEnabled": false,
    "settingsEnabled": true,
    "tagsEnabled": true,
    "leadValueEnabled": true,
    "marketingEnabled": true,
    "agentReportingEnabled": true,
    "botService": false,
    "socialPlanner": true,
    "bloggingEnabled": true,
    "invoiceEnabled": true,
    "affiliateManagerEnabled": true,
    "contentAiEnabled": true,
    "refundsEnabled": true,
    "recordPaymentEnabled": true,
    "cancelSubscriptionEnabled": true,
    "paymentsEnabled": true,
    "communitiesEnabled": true,
    "exportPaymentsEnabled": true
  },
  "scopes": [
    "contacts.write",
    "campaigns.readonly"
  ],
  "scopesAssignedToOnly": [
    "contacts.write",
    "campaigns.readonly"
  ],
  "profilePhoto": "https://img.png",
  "twilioPhone": {
    "C2QujeCh8ZnC7al2InWR": "+18832327657",
    "M2QrtfVt8ZnC7cv2InDL": "+18832327657"
  },
  "platformLanguage": "en_US"
}'

Last updated October 26, 2026

Was this page helpful?